| Home | Libraries | People | FAQ | More

## Struct template has_trivial_destructor<boost::interprocess::offset_ptr< T >>

boost::has_trivial_destructor<boost::interprocess::offset_ptr< T >> — has_trivial_destructor<> == true_type specialization for optimizations

## Synopsis

    // In header: <boost/interprocess/offset_ptr.hpp>

    template<typename T>
    struct has_trivial_destructor<boost::interprocess::offset_ptr< T >> {

      enum @1 { value =  true };
    };